Katello - Bug #6894

Remove reference to 'system' in hammer host-collection helptexts
08/01/2014 04:52 PM - dustin tsang

Status: Closed

Priority: Normal

Assignee: dustin tsang

Category: Hammer

Target version: Katello 2.0

Difficulty: easy Fixed in Releases:
Triaged: Yes Found in Releases:
Bugzilla link: 1123473 Red Hat JIRA:

Pull request:

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1123473
Description of problem:
Remove reference to 'system' in hammer host-collection helptexts

Version-Release number of selected component (if applicable):

apr-util-ldap-1.3.9-3.el6_0.1.x86_64
candlepin-0.9.19-1.el6_5.noarch
candlepin-scl-1-5.el6_4.noarch
candlepin-scl-quartz-2.1.5-5.el6_4.noarch
candlepin-scl-rhino-1.7R3-1.el6_4.noarch
candlepin-scl-runtime-1-5.el6_4.noarch
candlepin-selinux-0.9.19-1.el6_5.noarch
candlepin-tomcat6-0.9.19-1.el6_5.noarch
elasticsearch-0.90.10-4.el6sat.noarch
foreman-1.6.0.32-1.el6sat.noarch
foreman-compute-1.6.0.32-1.el6sat.noarch
foreman-gce-1.6.0.32-1.el6sat.noarch
foreman-libvirt-1.6.0.32-1.el6sat.noarch
foreman-ovirt-1.6.0.32-1.el6sat.noarch
foreman-postgresql-1.6.0.32-1.el6sat.noarch
foreman-proxy-1.6.0.22-1.el6sat.noarch
foreman-selinux-1.6.0.3-1.el6sat.noarch
foreman-vmware-1.6.0.32-1.el6sat.noarch
katello-1.5.0-27.el6sat.noarch
katello-ca-1.0-1.noarch
katello-certs-tools-1.5.6-1.el6sat.noarch
katello-installer-0.0.56-1.el6sat.noarch
openldap-2.4.23-34.el6_5.1.x86_64
pulp-katello-0.3-3.el6sat.noarch
pulp-nodes-common-2.4.0-0.23.beta.el6sat.noarch
pulp-nodes-parent-2.4.0-0.23.beta.el6sat.noarch
pulp-puppet-plugins-2.4.0-0.23.beta.el6sat.noarch
pulp-puppet-tools-2.4.0-0.23.beta.el6sat.noarch
pulp-rpm-plugins-2.4.0-0.23.beta.el6sat.noarch
pulp-selinux-2.4.0-0.23.beta.el6sat.noarch
pulp-server-2.4.0-0.23.beta.el6sat.noarch
python-ldap-2.3.10-1.e16.x86_64
ruby193-rubygem-net-ldap-0.3.1-3.el6sat.noarch
ruby193-rubygem-runcible-1.1.0-2.el6sat.noarch
sssd-ldap-1.11.5.1-3.e16.x86_64
How reproducible:
Always

Steps to Reproduce:
https://bugzilla.redhat.com/show_bug.cgi?id=1123473

Scenario 1:
hammer> host-collection add-content-host --help

--content-host-ids CONTENT_HOST _IDS Array of system ids
Comma separated list of values.

Scenario 2:
hammer> host-collection create --help

--content-host-ids CONTENT_HOST_IDS List of system uuids to be in the host collection
Comma separated list of values.

--host-collection-ids HOST_COLLECTION_IDS Array of system ids to replace the content hosts in host collection
Comma separated list of values.

Scenario 3:
hammer> host-collection remove-content-host --help

--content-host-ids CONTENT_HOST_IDS Array of system ids
Comma separated list of values.

Scenario 4:
hammer> host-collection update --help

--content-host-ids CONTENT_HOST _IDS List of system uuids to be in the host collection

Comma separated list of values.

--host-collection-ids HOST_COLLECTION_IDS Array of system ids to replace the content hosts in host collection
Comma separated list of values.

Scenario 5:
hammer> host-collection --help

Subcommands:

add-content-host Add systems to the host collection
remove-content-host Remove systems from the host collection

Actual results:
Expected results:

Additional info:

Associated revisions

Revision d432289b - 08/01/2014 04:52 PM - dustin tsang
Fixes #6894,bz1123473 - rm sys from HC docs

Remove references to system in the host-collection api documentation

Revision 3e20ff59 - 08/01/2014 04:55 PM - dustin tsang
Fixes #6894,bz1123473 - rm system in HC helpfultxt

Remove references to system in the host-collection helpful text

Revision 593221fc - 08/04/2014 03:42 PM - dustin tsang
Merge pull request #212 from dustint-rh/sys-in-hc-helpful-txt

Fixes #6894,bz1123473 - rm system in HC helpfultxt

Revision 17bf424c - 08/04/2014 03:42 PM - dustin tsang
Merge pull request #4520 from dustint-rh/host-collection-doc-text

Fixes #6894,b21123473 - rm sys from HC docs

History

#1 - 08/01/2014 04:57 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Target version set to 54

- Pull request https://github.com/Katello/hammer-cli-katello/pull/212 added
- Pull request deleted ()

#2 - 08/04/2014 10:33 AM - Eric Helms
- Difficulty set to easy

- Triaged changed from No to Yes

#3 - 08/04/2014 04:01 PM - dustin tsang
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset hammer-cli-katello|3e20ff59314be664ecbde31894fa7dd5510c2f13.

#4 - 08/06/2014 05:19 PM - dustin tsang
2 Pull requests https:/github.com/Katello/hammer-cli-katello/pull/212 & https://github.com/Katello/katello/pull/4520

#5 - 08/06/2014 05:20 PM - dustin tsang
- Pull request added
- Pull request deleted (https://github.com/Katello/hammer-cli-katello/pull/212)

2 Pull requests https:/github.com/Katello/hammer-cli-katello/pull/212 & https:/github.com/Katello/katello/pull/4520

#6 - 08/22/2014 09:24 AM - Eric Helms

- translation missing: en.field_release set to 13
https://projects.theforeman.org/projects/katello/repository/hammer-cli-katello/revisions/3e20ff59314be664ecbde31894fa7dd5510c2f13
https://github.com/Katello/hammer-cli-katello/pull/212
https://github.com/Katello/katello/pull/4520
https://github.com/Katello/hammer-cli-katello/pull/212
https://github.com/Katello/katello/pull/4520
